Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7912 - GDM does not permit login when password needs changing
Summary: GDM does not permit login when password needs changing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-20 20:57 UTC by Philip Spencer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-17 20:28:27 UTC


Attachments (Terms of Use)

Description Philip Spencer 1999-12-20 20:57:59 UTC
GDM does not permit login when the user's password needs changing, as is
commonly the case when a user logs in for the first time after a random
initial password has been created for them by a system administrator. The
following patch fixes this problem by allowing gdm to let PAM prompt for
the new password:

--- gdm-2.0beta2/daemon/verify.c.orig   Wed Sep  1 16:08:51 1999
+++ gdm-2.0beta2/daemon/verify.c        Mon Dec 20 15:48:31 1999
@@ -167,7 +167,12 @@
        goto pamerr;
     }

-    if ((pamerr = pam_acct_mgmt (pamh, 0)) != PAM_SUCCESS) {
+    pamerr = pam_acct_mgmt(pamh,0);
+    if (pamerr == PAM_NEW_AUTHTOK_REQD) {
+        pamerr = pam_chauthtok(pamh,PAM_CHANGE_EXPIRED_AUTHTOK);
+    }
+
+    if (pamerr != PAM_SUCCESS) {
        gdm_error (_("Couldn't set acct. mgmt for %s"), login);
        goto pamerr;
     }

Comment 1 Elliot Lee 2000-01-17 20:28:59 UTC
Thanks for the patch - I've applied it, and it will be in gdm-2.0beta2-18 in
Rawhide very soon.


Note You need to log in before you can comment on or make changes to this bug.